function [emptyCell] = getDefaultCombinationCell(pAddReferencePosition)
%GETDEFAULTCOMBINATIONVALUES Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace;

if ~exist('pAddReferencePosition', 'var')
    pAddReferencePosition = true;
end

%% Initialize variables
startDate = floor(min(artoaWorkspace.toaData.toaDate(artoaWorkspace.toaData.status ~= 2)));
endDate = floor(max(artoaWorkspace.toaData.toaDate(artoaWorkspace.toaData.status ~= 2)));

%% Get last known position
isNotNan = ~isnan(artoaWorkspace.satData.lat_sat) & ~isnan(artoaWorkspace.satData.lon_sat);
knownPositions = [artoaWorkspace.satData.lat_sat(isNotNan), artoaWorkspace.satData.lon_sat(isNotNan)];
if pAddReferencePosition
    referencePosition = [num2str(knownPositions(1, 1)) ' ' num2str(knownPositions(1, 2))];
else
    referencePosition = '';
end

%% Create default cell
emptyCell = { ...
    true, ...
    startDate, ...
    endDate, ...
    '', ...
    referencePosition, ...
    '', ...
    '', ...
    false ...
};

end

