function [toaData] = prepareToaDataForCalculations()
%PREPARETOADATAFORCALCULATIONS This function returns a toaData struct that matches the initial state including the empirical shift.
%   This function is required to recalculate the TOAs. Because toaData.toa
%   is used for storing the TOAs that have been calculated, this struct is
%   being reset everytime a new calculation takes place. If not, the
%   already calculated TOAs are used as input for the new calculations,
%   making them add up.

global artoaWorkspace artoaDataInput;

toaData = artoaWorkspace.toaData;
toaData.toa = artoaDataInput.toaData.toa + artoaWorkspace.toaData.empiricalShift;

end

