function [] = satfixEtaToToa(pCallbacks)
%EDITSATFIXETATOTOA Creates the SATFIX-ETA to TOA plot.
%   Detailed explanation goes here

global artoaGui artoaWorkspace;

%% Initialize required variables

windowTitle = [ 'ARTOA4 - Float ' num2str(artoaWorkspace.float.floatname) ' - Difference SATFIX ETA to TOA' ];


availableCallbacks = { ...
    'CloseRequestFcn' ...
};

for i = 1:length(availableCallbacks) % check if a callback is undefined
    if ~isfield(pCallbacks, availableCallbacks{i})
        pCallbacks.(availableCallbacks{i}) = @(~, ~) false;
    end
end

%% Initialize offset details gui

artoaGui.figures.satfixEtaToToa = figure( ...
    'Name', windowTitle, ...
    'NumberTitle', 'off', ...
    'Units', 'characters' ...
);

% adjust width
artoaGui.figures.satfixEtaToToa.Position(3) = 120;
artoaGui.figures.satfixEtaToToa.Position(4) = 35;

artoaGui.satfixEtaToToa = struct();

set( ...
    artoaGui.figures.satfixEtaToToa, ...
    'CloseRequestFcn', ...
    @artoa.controller.show.satfixEtaToToa.close ...
);

%% Plot the values
artoa.controller.show.satfixEtaToToa.plot();

end

