function [ sorted_profile ] = sort_profile_data( p_profile )
%SORT_PROFILE_DATA Sorts the CTD profile data ascending by pressure.
%   See nemo.float.sort_profile_data for more details.
%
%   Parameters:
%   p_profile:          The profile to be sorted.
%
%   Returns:
%   sorted_profile:     A copy of the profile with sorted CTD data.


%% Initialize return variable
sorted_profile = false;

%% Parameter check
if (~isstruct(p_profile) || ~isfield(p_profile, 'PROFILE_DATA'))
    disp([mfilename ': Unknown input type! Please check your input parameter!']);
    return
end

%% Sort profile data by time
sorted_profile = p_profile;
sorted_profile.PROFILE_DATA = sortrows(p_profile.PROFILE_DATA, 7);


end

